Package org.eclipse.lemminx.extensions.generators.xml2xsd

## Class XML2XMLSchemaGenerator

- java.lang.Object
- - org.eclipse.lemminx.extensions.generators.AbstractXML2GrammarGenerator<XMLSchemaGeneratorSettings>
  - - org.eclipse.lemminx.extensions.generators.xml2xsd.XML2XMLSchemaGenerator

All Implemented Interfaces:
  `IFileContentGenerator<Document,​XMLSchemaGeneratorSettings>`

    public class XML2XMLSchemaGenerator
    extends AbstractXML2GrammarGenerator<XMLSchemaGeneratorSettings>

File Generator implementation to generate XML Schema (XSD) from a given XML source.

### Constructor Summary

Constructors
`XML2XMLSchemaGenerator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `generate​(Grammar grammar, XMLSchemaGeneratorSettings settings, XMLBuilder schema, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Generate the grammar content from the given grammar information into the given builder.
`protected String` `getFileExtension()` Returns the grammar file extension (ex : xsd, dtd) to generate.

### Methods inherited from class org.eclipse.lemminx.extensions.generators.AbstractXML2GrammarGenerator

`generate, isFlat`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XML2XMLSchemaGenerator

    public XML2XMLSchemaGenerator()

### Method Detail

#### generate

    protected void generate​(Grammar grammar,
                            XMLSchemaGeneratorSettings settings,
                            XMLBuilder schema,
                            org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Description copied from class: `AbstractXML2GrammarGenerator`
Generate the grammar content from the given grammar information into the given builder.

Specified by:
  `generate` in class `AbstractXML2GrammarGenerator<XMLSchemaGeneratorSettings>`
Parameters:
  `grammar` - the grammar information.
  `settings` - the grammar settings
  `schema` - the XML builder to update.

#### getFileExtension

    protected String getFileExtension()

Description copied from class: `AbstractXML2GrammarGenerator`
Returns the grammar file extension (ex : xsd, dtd) to generate.

Specified by:
  `getFileExtension` in class `AbstractXML2GrammarGenerator<XMLSchemaGeneratorSettings>`
Returns:
  the grammar file extension (ex : xsd, dtd) to generate.